Application: gvSIG desktop - gvSIG bugs #181
Addon Manager doesn't show package to install using a gvspkg file as source
01/16/2012 03:08 PM - Jose Manuel Vivé Arnal

Status: Closed % Done: 100%
Priority: Normal Spent time: 0.00 hour
Assignee: Jose Manuel Vivé Arnal

Category: Installer

Target version: 2.0.0-alpha4

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2043 Add-on resolve version:
Operative System: Add-on resolve build: 2044
Keywords: Proyecto:

Has patch: Yes Hito:

Add-on name: unknown

Description

When you open Addon Manager and select a file as package source, the list doesn't show the new addon to install.

Debugging | found that it happens because new plugins are added to table model ( PackagesTableModel) when source has default
packages only (and gvspkg has none default package defined).

History

#1 - 01/16/2012 03:11 PM - Jose Manuel Vivé Arnal

- File org.gvsig.installer.swing.impl_fixed_show_packages_in_table_when _file_as source.patch added

#2 - 01/16/2012 03:17 PM - Anonymous
- Assignee set to Jose Manuel Vivé Arnal

#3 - 01/16/2012 03:21 PM - Cesar Ordifiana
- Assignee deleted (Jose Manuel Vivd Arnal)

#4 - 01/16/2012 03:21 PM - Cesar Ordifiana

- Assignee set to Jose Manuel Vivé Arnal

#5 - 01/16/2012 03:30 PM - Jose Manuel Vivo Arnal
- Status changed from New to Fixed

- Target version set to 2.0.0-alpha4

- % Done changed from 0 to 100

- Add-on resolve build set to 2044

Fixed on r37778

#6 - 02/26/2014 12:35 PM - Alvaro Anguix

- Status changed from Fixed to Closed

Files

org.gvsig.installer.swing.impl_fixed_show_packages_in_table_when 588 Bygesource.pattty16/2012 Jose Manuel Vivé Arnal
